#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libXmu
Version		:	1.1.4
Release		:	17.2.0.rel%{?dist}
Summary		:	X.Org X11 libXmu/libXmuu runtime libraries
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/lib/

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	libxcb
BuildRequires	:	xorg-libXext
BuildRequires	:	xorg-libXt
#-----------------------------------------------------------------------------
%description
X.Org X11 libXmu/libXmuu runtime libraries

%prep
%setup -q -n %{shortname}-%{version}

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_includedir}/X11/Xmu/*.h
%{_libdir}/%{shortname}.so*
%{_libdir}/%{shortname}u.so*
%{_libdir}/pkgconfig/xmu.pc
%{_libdir}/pkgconfig/xmuu.pc
%{_defaultdocdir}/%{name}-%{version}/Xmu.xml
%{_defaultdocdir}/%{name}-%{version}/xlogo.svg

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
